Get the product information of a consignment

Path Parameters
  • consignmentId
    Type: stringFormat: uuid
    required
Responses
  • application/json
Request Example for get/v1/consignments/{consignmentId}/product-information
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/product-information
{
  "consignmentProducts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "transactions": [
        {
          "type": "enum (Adjustment = 1, Transfer = 2, Receive = 3, Hold = 4, Pick = 5, Dispatch = 6)",
          "dateUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
          "inventoryReceiptId": "123e4567-e89b-12d3-a456-426614174000",
          "receivedDate": "date (YYYY-MM-DD)",
          "receivedUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
          "quantity": 1,
          "volumeM3": 1,
          "weightKG": 1
        }
      ],
      "conversions": [
        {
          "metricResolution": "enum (Compound = 1, Cascade = 2)",
          "metricResolutionName": null,
          "metrics": [
            {
              "metricType": "enum (Item = 1, VirtualPallet = 2, UnitType = 3)",
              "unitType": null,
              "unitTypeId": null,
              "value": 1
            }
          ]
        }
      ]
    }
  ]
}